import request from '@/utils/request'

// 查询学生名单分页
export function getPage(query) {
  return request({
    url: '/nenu/gf-student-list/page',
    method: 'get',
    params: query
  })
}

// 查询学生名单详情
export function getDetail(id) {
  return request({
    url: `/nenu/gf-student-list/${id}`,
    method: 'get'
  })
}

// 添加学生名单
export function add(gfStudentListDto) {
  return request({
    url: '/nenu/gf-student-list',
    method: 'post',
    data: gfStudentListDto
  })
}

// 编辑学生名单
export function edit(gfStudentListDto) {
  return request({
    url: '/nenu/gf-student-list',
    method: 'put',
    data: gfStudentListDto
  })
}

// 删除学生名单
export function remove(id) {
  return request({
    url: `/nenu/gf-student-list/${id}`,
    method: 'delete'
  })
}
